Page MenuHomePhabricator

Add MinusX to MediaWiki extensions and PHP library repos
Closed, ResolvedPublic

Subscribers
Tokens
"Yellow Medal" token, awarded by OmkarJ."Orange Medal" token, awarded by Krinkle."Mountain of Wealth" token, awarded by D3r1ck01."Meh!" token, awarded by greg."Like" token, awarded by Jdforrester-WMF."Doubloon" token, awarded by Tgr."Meh!" token, awarded by Addshore.
Assigned To
None
Authored By
Legoktm, Sep 13 2017

Description

To improve our code quality and security, we want to reject non-executable files which have execute bits (basically marks that tell the operating system it can run this file) set via a build check. In Wikimedia we have a utility called MinusX for this. Related: T168659: Reject non-executable files with execute bits with a build check

So we need to add MinusX to most MediaWiki extensions and PHP library repositories.

https://gerrit.wikimedia.org/r/#/c/377710/ is an example change for MediaWiki's Scribunto extension which shows what needs to be done.

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
OmkarJ updated the task description. (Show Details)Dec 30 2017, 6:18 AM
OmkarJ added a subscriber: OmkarJ.

Change 401008 merged by Florianschmidtwelzow:
[mediawiki/extensions/BlueSpiceAvatars@master] Add minusx to composer.json

https://gerrit.wikimedia.org/r/401008

Change 401009 merged by Florianschmidtwelzow:
[mediawiki/extensions/BlueSpiceBlog@master] Add minusx to composer.json

https://gerrit.wikimedia.org/r/401009

Change 401084 had a related patch set uploaded (by OmkarJ; owner: OmkarJ):
[mediawiki/extensions/TimelineTable@master] Add minusx to composer.json

https://gerrit.wikimedia.org/r/401084

Change 401085 had a related patch set uploaded (by OmkarJ; owner: OmkarJ):
[mediawiki/extensions/SkinPerPage@master] Add minusx to composer.json

https://gerrit.wikimedia.org/r/401085

OmkarJ updated the task description. (Show Details)Dec 30 2017, 3:38 PM

Change 401086 had a related patch set uploaded (by OmkarJ; owner: OmkarJ):
[mediawiki/extensions/TimelineTable@master] Add minusx to composer.json Change mode of TimelineTable.php to 100644

https://gerrit.wikimedia.org/r/401086

Change 401086 abandoned by Florianschmidtwelzow:
Add minusx to composer.json

https://gerrit.wikimedia.org/r/401086

Change 401369 had a related patch set uploaded (by OmkarJ; owner: OmkarJ):
[mediawiki/extensions/TimelineTable@master] add minusx support and change modes

https://gerrit.wikimedia.org/r/401369

OmkarJ updated the task description. (Show Details)Jan 1 2018, 8:25 AM

Change 401370 had a related patch set uploaded (by OmkarJ; owner: OmkarJ):
[mediawiki/extensions/SkinPerPage@master] add minusx support and change mode

https://gerrit.wikimedia.org/r/401370

OmkarJ updated the task description. (Show Details)Jan 1 2018, 8:34 AM

Change 401085 abandoned by OmkarJ:
Add minusx to composer.json

https://gerrit.wikimedia.org/r/401085

Change 401084 abandoned by OmkarJ:
Add minusx to composer.json

https://gerrit.wikimedia.org/r/401084

Change 401369 merged by jenkins-bot:
[mediawiki/extensions/TimelineTable@master] add minusx support and change modes

https://gerrit.wikimedia.org/r/401369

Change 401397 had a related patch set uploaded (by OmkarJ; owner: OmkarJ):
[mediawiki/extensions/BlueSpiceEmoticons@master] add minusx support and change mode

https://gerrit.wikimedia.org/r/401397

Change 401396 had a related patch set uploaded (by OmkarJ; owner: OmkarJ):
[mediawiki/extensions/BlueSpiceDashboards@master] add minusx support and change modes

https://gerrit.wikimedia.org/r/401396

OmkarJ updated the task description. (Show Details)Jan 1 2018, 4:55 PM

Change 401396 merged by Florianschmidtwelzow:
[mediawiki/extensions/BlueSpiceDashboards@master] add minusx support

https://gerrit.wikimedia.org/r/401396

Change 401397 merged by Florianschmidtwelzow:
[mediawiki/extensions/BlueSpiceEmoticons@master] add minusx support

https://gerrit.wikimedia.org/r/401397

Change 401745 had a related patch set uploaded (by OmkarJ; owner: OmkarJ):
[mediawiki/extensions/BlueSpicePageTemplates@master] add minusx support to composer.json

https://gerrit.wikimedia.org/r/401745

Change 401749 had a related patch set uploaded (by OmkarJ; owner: OmkarJ):
[mediawiki/extensions/BlueSpicePagesVisited@master] add minusx support to composer.json

https://gerrit.wikimedia.org/r/401749

OmkarJ updated the task description. (Show Details)Jan 3 2018, 4:24 PM

Change 401745 merged by Florianschmidtwelzow:
[mediawiki/extensions/BlueSpicePageTemplates@master] add minusx support to composer.json

https://gerrit.wikimedia.org/r/401745

Change 401749 merged by Florianschmidtwelzow:
[mediawiki/extensions/BlueSpicePagesVisited@master] add minusx support to composer.json

https://gerrit.wikimedia.org/r/401749

Change 401757 had a related patch set uploaded (by OmkarJ; owner: OmkarJ):
[mediawiki/extensions/BlueSpiceCountThings@master] add minusx support to composer.json

https://gerrit.wikimedia.org/r/401757

Change 401761 had a related patch set uploaded (by OmkarJ; owner: OmkarJ):
[mediawiki/extensions/BlueSpiceContextMenu@master] add minux support to composer.json

https://gerrit.wikimedia.org/r/401761

OmkarJ updated the task description. (Show Details)Jan 3 2018, 5:37 PM

Change 401757 merged by Florianschmidtwelzow:
[mediawiki/extensions/BlueSpiceCountThings@master] add minusx support to composer.json

https://gerrit.wikimedia.org/r/401757

Change 401761 merged by Florianschmidtwelzow:
[mediawiki/extensions/BlueSpiceContextMenu@master] add minux support to composer.json

https://gerrit.wikimedia.org/r/401761

Change 402166 had a related patch set uploaded (by Ryan10145; owner: Ryan10145):
[mediawiki/core@master] Added Minus-X Support

https://gerrit.wikimedia.org/r/402166

Change 402167 had a related patch set uploaded (by Ryan10145; owner: Ryan10145):
[mediawiki/extensions/BlueSpiceUserPreferences@master] Added Minus-X Support

https://gerrit.wikimedia.org/r/402167

Ryan10145 updated the task description. (Show Details)Jan 5 2018, 3:44 AM

Change 403320 had a related patch set uploaded (by Divadsn; owner: Divadsn):
[mediawiki/extensions/BlueSpiceInterWikiLinks@master] Add minus-x to composer.json

https://gerrit.wikimedia.org/r/403320

Change 403321 had a related patch set uploaded (by Divadsn; owner: Divadsn):
[mediawiki/extensions/BlueSpiceNamespaceManager@master] Add minus-x to composer.json

https://gerrit.wikimedia.org/r/403321

divadsn updated the task description. (Show Details)Jan 9 2018, 11:32 PM

Change 403325 had a related patch set uploaded (by Phantom42; owner: Phantom42):
[integration/config@master] Add BlueSpiceFoundation for BlueSpice extensions

https://gerrit.wikimedia.org/r/403325

Change 403363 had a related patch set uploaded (by Divadsn; owner: Divadsn):
[mediawiki/extensions/BlueSpicePermissionManager@master] Add minus-x to composer.json

https://gerrit.wikimedia.org/r/403363

Change 403364 had a related patch set uploaded (by Divadsn; owner: Divadsn):
[mediawiki/extensions/BlueSpiceReaders@master] Add minus-x to composer.json

https://gerrit.wikimedia.org/r/403364

divadsn updated the task description. (Show Details)Jan 10 2018, 9:05 AM

Change 402167 merged by jenkins-bot:
[mediawiki/extensions/BlueSpiceUserPreferences@master] Added Minus-X Support

https://gerrit.wikimedia.org/r/402167

Change 403325 abandoned by Phantom42:
Add BlueSpiceFoundation dependency for BlueSpice extensions

https://gerrit.wikimedia.org/r/403325

Change 400101 merged by jenkins-bot:
[mediawiki/extensions/PagesList@master] Add minus-x to extension PagesList.

https://gerrit.wikimedia.org/r/400101

Change 403364 merged by Umherirrender:
[mediawiki/extensions/BlueSpiceReaders@master] Add minus-x to composer.json

https://gerrit.wikimedia.org/r/403364

Change 404401 had a related patch set uploaded (by Phantom42; owner: Phantom42):
[integration/config@master] Add WikiAdmin dependency for BlueSpiceInterWikiLinks extension

https://gerrit.wikimedia.org/r/404401

Change 400102 merged by jenkins-bot:
[mediawiki/extensions/MsWikiEditor@master] Add minus-x to extension MsWikiEditor

https://gerrit.wikimedia.org/r/400102

Change 403363 merged by Robert Vogel:
[mediawiki/extensions/BlueSpicePermissionManager@master] Add minus-x to composer.json

https://gerrit.wikimedia.org/r/403363

Change 403320 merged by Robert Vogel:
[mediawiki/extensions/BlueSpiceInterWikiLinks@master] Add minus-x to composer.json

https://gerrit.wikimedia.org/r/403320

Change 403321 merged by Robert Vogel:
[mediawiki/extensions/BlueSpiceNamespaceManager@master] Add minus-x to composer.json

https://gerrit.wikimedia.org/r/403321

Change 404401 abandoned by Phantom42:
Add WikiAdmin dependency for BlueSpiceInterWikiLinks extension

Reason:
Abandoning this, as the problem got resolved in T184583

https://gerrit.wikimedia.org/r/404401

Change 401370 merged by jenkins-bot:
[mediawiki/extensions/SkinPerPage@master] add minusx support and change mode

https://gerrit.wikimedia.org/r/401370

Umherirrender closed this task as Resolved.Feb 24 2018, 11:14 PM
Umherirrender triaged this task as Normal priority.
Umherirrender updated the task description. (Show Details)

All extensions now have the MinusX (except some empty repos without composer.json)

Please create a new task for individual extensions, if something is missing.

Thanks for the work on this

Change 402166 merged by jenkins-bot:
[mediawiki/core@master] build: Run minus-x to check for executable files that shouldn't be

https://gerrit.wikimedia.org/r/402166

Change 399480 had a related patch set uploaded (by Umherirrender; owner: Rafid Aslam):
[mediawiki/extensions/FundraisingEmailUnsubscribe@master] Add minus-x to "composer test"

https://gerrit.wikimedia.org/r/399480

Change 399480 merged by jenkins-bot:
[mediawiki/extensions/FundraisingEmailUnsubscribe@master] Add minus-x to "composer test"

https://gerrit.wikimedia.org/r/399480